漏洞信息详情

libslirp 缓冲区错误漏洞

漏洞简介

libslirp是一款用于在虚拟机管理程序中管理虚拟网络服务的通用TCP-IP模拟器。

libslirp 4.0.0版本中的ip_input.c文件的‘ip_reass’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://gitlab.freedesktop.org/slirp/libslirp/commit/126c04acbabd7ad32c2b018fe10dfac2a3bc1210

受影响实体

    暂无